TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

CoerceIdeal ( ord^fun O, elt-ids^int/ord^fun I ) -> elt-ids^int/ord^fun

### Description

<shortdoc> Return the ideal I as an ideal of F or O. </shortdoc>

### Examples

x_k := FiniteField(5); x_kx := PolynomialAlgebra(x_k); x_kxy := PolynomialAlgebra(x_kx); x_x := Generator(x_kx, 1); x_y := Generator(x_kxy, 1); x_F := FunctionField(x_y^2 - x_x^3 + 1); x_O := MaximalOrderFinite(x_F); x_a := Element(x_O, [0,1] ); x_I := Factorization( x_x*x_O )[1][1]; x_Fz := PolynomialAlgebra( x_F ); x_z := Generator(x_Fz, 1); x_G := FunctionField(x_z^3 - x_a); x_OO := MaximalOrderFinite(x_G); x_II := CoerceIdeal(x_OO, x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack